Bug 1389538 (CVE-2016-9101) - CVE-2016-9101 Qemu: net: eepro100 memory leakage at device unplug
Summary: CVE-2016-9101 Qemu: net: eepro100 memory leakage at device unplug
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9101
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1389539
Blocks: 1389512
TreeView+ depends on / blocked
 
Reported: 2016-10-27 20:18 UTC by Prasad J Pandit
Modified: 2019-09-29 13:59 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:01:28 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-27 20:18:22 UTC
Quick Emulator(Qemu) built with the i8255x (PRO100) NIC emulation support
is vulnerable to a memory leakage issue. It could occur while unplugging the
device, and doing so repeatedly would result in leaking host memory affecting,
other services on the host.

A privileged user inside guest could use this flaw to cause a DoS on the host
and/or potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg03024.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/10/27/14

Comment 1 Prasad J Pandit 2016-10-27 20:18:55 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-27 20:19:56 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389539]

Comment 3 Andrej Nemec 2016-10-31 14:41:59 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/277

Comment 4 Cole Robinson 2017-01-16 18:25:49 UTC
Not the referenced qemu-devel patch, but I think this was the fix:

commit 2634ab7fe29b3f75d0865b719caf8f310d634aae
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Sat Oct 8 05:07:25 2016 -0700

    net: eepro100: fix memory leak in device uninit


Note You need to log in before you can comment on or make changes to this bug.